From 41bcd85f20e1084772c6af1b4f3bdd1dc0a7fe4b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Joonas=20Kylm=C3=A4l=C3=A4?= <joonas.kylmala@iki.fi>
Date: Fri, 23 Jun 2017 16:51:03 +0200
Subject: [PATCH] Remove proprietary repositories from templates

---
 templates/sources.list.debian.tmpl | 16 ++++++++--------
 templates/sources.list.ubuntu.tmpl | 36 ++++++++++++++++--------------------
 2 files changed, 24 insertions(+), 28 deletions(-)

diff --git a/templates/sources.list.debian.tmpl b/templates/sources.list.debian.tmpl
index f4188c73..f9725a80 100644
--- a/templates/sources.list.debian.tmpl
+++ b/templates/sources.list.debian.tmpl
@@ -10,15 +10,15 @@
 
 # See http://www.debian.org/releases/stable/i386/release-notes/ch-upgrading.html
 # for how to upgrade to newer versions of the distribution.
-deb {{mirror}} {{codename}} main contrib non-free
-deb-src {{mirror}} {{codename}} main contrib non-free
+deb {{mirror}} {{codename}} main
+deb-src {{mirror}} {{codename}} main
 
 ## Major bug fix updates produced after the final release of the
 ## distribution.
-deb {{security}} {{codename}}/updates main contrib non-free
-deb-src {{security}} {{codename}}/updates main contrib non-free
-deb {{mirror}} {{codename}}-updates main contrib non-free
-deb-src {{mirror}} {{codename}}-updates main contrib non-free
+deb {{security}} {{codename}}/updates main
+deb-src {{security}} {{codename}}/updates main
+deb {{mirror}} {{codename}}-updates main
+deb-src {{mirror}} {{codename}}-updates main
 
 ## Uncomment the following two lines to add software from the 'backports'
 ## repository.
@@ -26,5 +26,5 @@ deb-src {{mirror}} {{codename}}-updates main contrib non-free
 ## N.B. software from this repository may not have been tested as
 ## extensively as that contained in the main release, although it includes
 ## newer versions of some applications which may provide useful features.
-# deb {{mirror}} {{codename}}-backports main contrib non-free
-# deb-src {{mirror}} {{codename}}-backports main contrib non-free
+# deb {{mirror}} {{codename}}-backports main
+# deb-src {{mirror}} {{codename}}-backports main
diff --git a/templates/sources.list.ubuntu.tmpl b/templates/sources.list.ubuntu.tmpl
index d8799726..f9f2fb16 100644
--- a/templates/sources.list.ubuntu.tmpl
+++ b/templates/sources.list.ubuntu.tmpl
@@ -9,46 +9,42 @@
 
 # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
 # newer versions of the distribution.
-deb {{mirror}} {{codename}} main restricted
-deb-src {{mirror}} {{codename}} main restricted
+deb {{mirror}} {{codename}} main
+deb-src {{mirror}} {{codename}} main
 
 ## Major bug fix updates produced after the final release of the
 ## distribution.
-deb {{mirror}} {{codename}}-updates main restricted
-deb-src {{mirror}} {{codename}}-updates main restricted
+deb {{mirror}} {{codename}}-updates main
+deb-src {{mirror}} {{codename}}-updates main
 
 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
 ## team. Also, please note that software in universe WILL NOT receive any
 ## review or updates from the Ubuntu security team.
-deb {{mirror}} {{codename}} universe
-deb-src {{mirror}} {{codename}} universe
-deb {{mirror}} {{codename}}-updates universe
-deb-src {{mirror}} {{codename}}-updates universe
+#deb {{mirror}} {{codename}} universe
+#deb-src {{mirror}} {{codename}} universe
+#deb {{mirror}} {{codename}}-updates universe
+#deb-src {{mirror}} {{codename}}-updates universe
 
 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
 ## team, and may not be under a free licence. Please satisfy yourself as to 
 ## your rights to use the software. Also, please note that software in 
 ## multiverse WILL NOT receive any review or updates from the Ubuntu
 ## security team.
-deb {{mirror}} {{codename}} multiverse
-deb-src {{mirror}} {{codename}} multiverse
-deb {{mirror}} {{codename}}-updates multiverse
-deb-src {{mirror}} {{codename}}-updates multiverse
+#deb {{mirror}} {{codename}} multiverse
+#deb-src {{mirror}} {{codename}} multiverse
+#deb {{mirror}} {{codename}}-updates multiverse
+#deb-src {{mirror}} {{codename}}-updates multiverse
 
 ## N.B. software from this repository may not have been tested as
 ## extensively as that contained in the main release, although it includes
 ## newer versions of some applications which may provide useful features.
 ## Also, please note that software in backports WILL NOT receive any review
 ## or updates from the Ubuntu security team.
-deb {{mirror}} {{codename}}-backports main restricted universe multiverse
-deb-src {{mirror}} {{codename}}-backports main restricted universe multiverse
+#deb {{mirror}} {{codename}}-backports main
+#deb-src {{mirror}} {{codename}}-backports main
 
-deb {{security}} {{codename}}-security main restricted
-deb-src {{security}} {{codename}}-security main restricted
-deb {{security}} {{codename}}-security universe
-deb-src {{security}} {{codename}}-security universe
-deb {{security}} {{codename}}-security multiverse
-deb-src {{security}} {{codename}}-security multiverse
+deb {{security}} {{codename}}-security main
+deb-src {{security}} {{codename}}-security main
 
 ## Uncomment the following two lines to add software from Canonical's
 ## 'partner' repository.
-- 
2.11.0

